Bug 1123388 - Can not edit architecture if it name contains utf-8 characters
Summary: Can not edit architecture if it name contains utf-8 characters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Tomas Strachota
QA Contact: jcallaha
URL:
Whiteboard:
: 1131815 (view as bug list)
Depends On: 1121755
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 13:33 UTC by Sachin Ghai
Modified: 2017-02-23 21:10 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:11:38 UTC


Attachments (Terms of Use)
UI raises error on editing an arch that contains utf-8 char in name (33.18 KB, image/png)
2014-07-25 13:33 UTC, Sachin Ghai
no flags Details
screenshot (59.54 KB, image/png)
2014-08-04 21:26 UTC, Corey Welton
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description Sachin Ghai 2014-07-25 13:33:07 UTC
Created attachment 920986 [details]
UI raises error on editing an arch that contains utf-8 char in name

Description of problem:
Unable to edit 'architecture' if it's name contains UTF8 chars.


Version-Release number of selected component (if applicable):
sat6 GA snap1

How reproducible:
always

Steps to Reproduce:
1. create arch with utf-8 char and select it again to edit
2.
3.

Actual results:
UI raises following error:

--
Architecture Not Found

Please try to update your request
--

Expected results:
User should be able to edit arch if its name contains UTF char

Additional info:

Comment 2 Og Maciel 2014-07-25 18:19:07 UTC
Related to https://bugzilla.redhat.com/show_bug.cgi?id=1121755 ?

Comment 3 Corey Welton 2014-08-04 21:25:36 UTC
Fails QA. 

After creating arch, and subsequently trying to select it, i get terrible UI barf and it says no such arch found.  attaching screenshot shortly.


Tested in Satellite-6.0.4-RHEL-7-20140730.0

Comment 4 Corey Welton 2014-08-04 21:26:52 UTC
Created attachment 924006 [details]
screenshot

Comment 5 Corey Welton 2014-08-04 21:28:24 UTC
Oops, this wasn't ONQA :P

Comment 8 Dominic Cleal 2014-09-16 14:48:15 UTC
*** Bug 1131815 has been marked as a duplicate of this bug. ***

Comment 9 Tomas Strachota 2014-10-13 08:08:38 UTC
The problem got fixed with introduction of friendly_id:

commit 8b737c9c7648b3726dadb3b2e4708fcb43af02a8
Author: Joseph Magen <jmagen@redhat.com>
Date:   Tue Sep 23 12:02:52 2014 +0300

    fixes #4386 - gem friendly_id to simplify find by id, name, label, etc

Comment 10 jcallaha 2014-10-17 17:48:25 UTC
Partially fixed. Can now click the Architecture name. However, the Architectures's link strips UTF8 characters.

Example:
Architecture Name: asdasdѠѡѢѣѤѥѦѧѨѩѪѫѬѭѮasdasdasdѷѸѹѺѻѼѽѾѿ
Architecture Link: ../architectures/62-asdasd-asdasdasd/edit

Comment 11 Dominic Cleal 2014-10-20 07:41:56 UTC
(In reply to jcallaha from comment #10)
> Partially fixed. Can now click the Architecture name. However, the
> Architectures's link strips UTF8 characters.

This is deliberate behaviour, not a bug.

Comment 12 Dominic Cleal 2014-10-20 07:44:19 UTC
(In reply to Dominic Cleal from comment #11)
> (In reply to jcallaha from comment #10)
> > Partially fixed. Can now click the Architecture name. However, the
> > Architectures's link strips UTF8 characters.
> 
> This is deliberate behaviour, not a bug.

Appears to have been filed also as bug #1154187, handle there instead.

Comment 13 jcallaha 2014-10-24 17:59:29 UTC
Functionality verified on rhel6.5 and thel7.

qe-foreman-rhel65.usersys.redhat.com-foreman-client-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-apache-1.0-1.noarch
foreman-vmware-1.7.0-0.develop.201410232354git5e8706d.el6.noarch
ruby193-rubygem-foreman-tasks-0.6.10-1.el6.noarch
foreman-libvirt-1.7.0-0.develop.201410232354git5e8706d.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-parent-cert-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-foreman-proxy-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-qpid-broker-1.0-1.noarch
foreman-release-1.7.0-0.develop.201410232354git5e8706d.el6.noarch
foreman-compute-1.7.0-0.develop.201410232354git5e8706d.el6.noarch
ruby193-rubygem-foreman_bootdisk-4.0.0-1.el6.noarch
foreman-1.7.0-0.develop.201410232354git5e8706d.el6.noarch
foreman-ovirt-1.7.0-0.develop.201410232354git5e8706d.el6.noarch
foreman-selinux-1.7.0-0.develop.201410210825gitaab37c6.el6.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410gitc96619d.git.0.37f3704.el6.noarch
foreman-postgresql-1.7.0-0.develop.201410232354git5e8706d.el6.noarch
foreman-gce-1.7.0-0.develop.201410232354git5e8706d.el6.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el6.noarch
ruby193-rubygem-foreman_discovery-1.4.0-0.1.rc4.el6.noarch
rubygem-hammer_cli_foreman-0.1.3-1.201410151235gitbc8c449.el6.noarch
foreman-proxy-1.7.0-0.develop.201410221520gitccd77aa.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-qpid-client-cert-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-puppet-client-1.0-1.noarch

Comment 14 Bryan Kearney 2015-08-11 13:18:38 UTC
This bug is slated to be released with Satellite 6.1.

Comment 15 errata-xmlrpc 2015-08-12 05:11:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.